#import "ITModel.h"
#import <stdio.h>					// for printf, scanf, fgets
#import <stdlib.h>					// for atoi
#define MAXLENGTH 200				// 記号定数

// メイン関数 (スタート地点)。引数は (int argc, const char * argv[]) とするのが正式
int main(void) {
	char ss[MAXLENGTH];	// ターミナルで入力された文字列を格納する変数
	id model;			// ITModel オブジェクトをポイントする変数
	BOOL quit;			// プログラムの終了が選択されているかどうかを表すフラッグ
	
	// リファレンスカウンタ方式のメモリー管理で使う自動解放プール
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	model = [[ITModel alloc] init];
	printf("起動いたしました.\n");
	
	quit = NO;
	while (! quit) {
		printf("挨拶=1 編集=2 終了=3 ");
		fgets(ss, MAXLENGTH, stdin);
		
		switch (atoi(ss)) {
			case 1:
				printf("%s", [[model string] cStringUsingEncoding:NSUTF8StringEncoding]);
				break;
			case 2:
				printf("自己紹介文を入力してください.\n");
				fgets(ss, MAXLENGTH, stdin);
				[model setString:[NSString stringWithUTF8String:ss]];
				break;
			case 3:
				quit = YES;
				break;
		}
	}
	printf("お疲れさまでした.\n");
	[pool drain];
	return 0;
}
